name: streamit_laravel
description: "A new Flutter project."
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 1.4.0+24

environment:
  sdk: '>=3.3.3 <4.0.0'

dependencies:
  flutter:
    sdk: flutter

  # Commons
  nb_utils: ^7.1.4
  google_fonts: ^6.2.1
  http: ^1.4.0
  intl: ^0.20.2
  html: ^0.15.6
  cached_network_image: ^3.4.1
  url_launcher: ^6.3.1
  lottie: ^3.3.1
  flutter_svg_provider: ^1.0.7
  device_info_plus: ^11.4.0
  flutter_spinkit: ^5.2.1
  speech_to_text: ^7.0.0
  path_provider: ^2.1.5
  webview_flutter: ^4.13.0
  wakelock_plus: ^1.3.2
  permission_handler: ^12.0.0+1
  flutter_custom_tabs: ^2.4.0
  flutter_switch: ^0.3.2
  #QR Code Scanner
  mobile_scanner: ^7.0.0

  # Google
  google_mobile_ads: ^6.0.0

  # Firebase
  firebase_core: ^3.13.1
  firebase_auth: ^5.5.4
  firebase_crashlytics: ^4.3.6
  firebase_messaging: ^15.2.6

  #Notification
  flutter_local_notifications: ^19.2.1

  #payment gateways

  flutter_stripe: ^11.5.0
  razorpay_flutter: ^1.4.0
  uuid: ^4.5.1
  flutterwave_standard:
    git:
      url: https://github.com/iqonic-design/flutterwave_standard.git
      ref: main

  flutter_paystack:
    git:
      url: https://github.com/iqonic-design/flutter_paystack.git
      ref: 1.5.0

  flutter_paypal_checkout:
    git:
      url: https://github.com/iqonic-design/flutter_paypal_checkout.git
      ref: main

  purchases_flutter: ^8.9.0
  # Social Login
  the_apple_sign_in: ^1.1.1
  google_sign_in: ^6.3.0

  # State Management
  get: ^4.7.2
  get_storage: ^2.1.1

  # Pickers
  image_picker: ^1.1.2
  country_picker: ^2.0.27
  pod_player:
    git:
      url: https://github.com/iqonic-design/pod_player.git
      ref: 1.0.0
  youtube_player_flutter: ^9.1.1
  # youtube_player_iframe: ^5.2.1

  share_plus: ^11.0.0

  #  Chrome Cast
  # flutter_chrome_cast: ^0.0.10
  flutter_chrome_cast:
    git:
      url: https://github.com/iqonic-design/flutter_google_cast.git
      ref: 1.2.0

  # Localization
  flutter_localizations:
    sdk: flutter


dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0

flutter:
  uses-material-design: true

  assets:
    - assets/
    - assets/images/
    - assets/icons/
    - assets/flags/
    - assets/icons/top_10_icon/
    - assets/lottie/
    - assets/icons/navigation/
    - assets/icons/social_media/
    - assets/images/walkthrough_images/
    - assets/images/watching_profile/